Package org.opensaml.saml.saml2.metadata

# Interface AffiliationDescriptor

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `CacheableSAMLObject`, `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`, `TimeBoundSAMLObject`, `XMLObject`

All Known Implementing Classes:
  `AffiliationDescriptorImpl`

public interface AffiliationDescriptor extends SignableSAMLObject, TimeBoundSAMLObject, CacheableSAMLObject, AttributeExtensibleXMLObject
SAML 2.0 Metadata AffiliationDescriptorType.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`ID_ATTRIB_NAME`
ID attribute's local name.
`static final String`
`OWNER_ID_ATTRIB_NAME`
"affiliationOwnerID" attribute's local name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.saml.saml2.common.CacheableSAMLObject

`CACHE_DURATION_ATTRIB_NAME, CACHE_DURATION_ATTRIB_QNAME`

### Fields inherited from interface org.opensaml.saml.saml2.common.TimeBoundSAMLObject

`VALID_UNTIL_ATTRIB_NAME, VALID_UNTIL_ATTRIB_QNAME`

## Method Summary

Modifier and Type
Method
Description
`Extensions`
`getExtensions()`
Gets the Extensions child of this object.
`String`
`getID()`
Gets the ID of this Descriptor.
`List<KeyDescriptor>`
`getKeyDescriptors()`
Gets a list of KeyDescriptors for this affiliation.
`List<AffiliateMember>`
`getMembers()`
Gets a list of the members of this affiliation.
`String`
`getOwnerID()`
Gets the ID of the owner of this affiliation.
`void`
`setExtensions(Extensions extensions)`
Sets the Extensions child of this object.
`void`
`setID(String newID)`
Sets the ID of this descriptor.
`void`
`setOwnerID(String ownerID)`
Sets the ID of the owner of this affiliation.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.saml.saml2.common.CacheableSAMLObject

`getCacheDuration, setCacheDuration`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.saml.saml2.common.TimeBoundSAMLObject

`getValidUntil, isValid, setValidUntil`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### OWNER_ID_ATTRIB_NAME

@Nonnull @NotEmpty static final String OWNER_ID_ATTRIB_NAME
"affiliationOwnerID" attribute's local name.

See Also:
  - Constant Field Values

### ID_ATTRIB_NAME

@Nonnull @NotEmpty static final String ID_ATTRIB_NAME
ID attribute's local name.

See Also:
  - Constant Field Values

## Method Details

### getOwnerID

@Nullable String getOwnerID()
Gets the ID of the owner of this affiliation. The owner may, or may not, be a member of the affiliation.

Returns:
  the ID of the owner of this affiliation

### getID

@Nullable String getID()
Gets the ID of this Descriptor.

Returns:
  the ID of this Descriptor

### getExtensions

@Nullable Extensions getExtensions()
Gets the Extensions child of this object.

Returns:
  the Extensions child of this object

### setExtensions

void setExtensions(@Nullable Extensions extensions)
Sets the Extensions child of this object.

Parameters:
  `extensions` - the Extensions child of this object

### setOwnerID

void setOwnerID(@Nullable String ownerID)
Sets the ID of the owner of this affiliation.

Parameters:
  `ownerID` - the ID of the owner of this affiliation

### setID

void setID(@Nullable String newID)
Sets the ID of this descriptor.

Parameters:
  `newID` - the ID of this descriptor

### getMembers

@Nonnull @Live List<AffiliateMember> getMembers()
Gets a list of the members of this affiliation.

Returns:
  a list of affiliate members

### getKeyDescriptors

@Nonnull @Live List<KeyDescriptor> getKeyDescriptors()
Gets a list of KeyDescriptors for this affiliation.

Returns:
  list of `KeyDescriptor`s for this affiliation